#!/bin/bash
#
# Zphone Voicemail Expiration Script
#
VMDIR=/var/spool/asterisk/voicemail/default
. /etc/metasec/vmmaxage.conf

echo "" >> /var/log/zphone_vmremoved.log
echo "Starting cleaning job `date`" >> /var/log/zphone_vmremoved.log

if [ -z $VMMAXAGE ];then
    echo "Configfile not found...exititg" >> /var/log/zphone_vmremoved.log
    exit;
fi


echo "" >> /var/log/zphone_vmremoved.log
# Delete recordings older than $EXPIRY days
# find $VMDIR -mtime +$VMMAXAGE -exec rm -rfv >> /var/log/zphone/vmremoved.log\
find $VMDIR -mtime +$VMMAXAGE -type f -exec rm -v {} >> /var/log/zphone_vmremoved.log \;

