-- MySQL dump 10.11
--
-- Host: localhost    Database: zphone
-- ------------------------------------------------------
-- Server version	5.0.32-Debian_7etch10-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `voip_ext_funcs`
--

DROP TABLE IF EXISTS `voip_ext_funcs`;
CREATE TABLE `voip_ext_funcs` (
  `vef_id` int(10) unsigned NOT NULL auto_increment,
  `vef_name` varchar(128) NOT NULL default '',
  `vef_desc` varchar(255) NOT NULL default '',
  `vef_params` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`vef_id`)
) ENGINE=MyISAM AUTO_INCREMENT=99 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `voip_ext_funcs`
--

LOCK TABLES `voip_ext_funcs` WRITE;
/*!40000 ALTER TABLE `voip_ext_funcs` DISABLE KEYS */;
INSERT INTO `voip_ext_funcs` VALUES (1,'AbsoluteTimeout','this application allows you to limit the duration of the conversation.','delay'),(2,'AddQueueMember','this application allows you to add new members in you queues.conf file dynamically.','queuename[|interface][|penalty]'),(3,'AgentCallbackLogin','this application allows you to log in an agent, to the system, with callback.','[AgentNumber][|[options][exten]@context]'),(4,'AgentLogin','this application allows you to log in an agent, to the system','[AgentNumber][|options]'),(5,'Answer','this application allows you to answer the channel if there is a call',''),(6,'Authenticate','authenticate an user with a dialled pass code','password[|options]'),(7,'Background','this application allows you to play a sound file.','filename'),(8,'BackgroundDetect','this application allows you to play a sound file and to stop in with voice.','filename[|sil][|min|max]]'),(9,'Busy','this application allows you to indicate a busy mode.','timeout'),(10,'ChangeMonitor','this application allows you to change the filename of the audio file set in the Monitor application.','filename_base'),(11,'ChanIsAvail','this application allows you to check whether the channel is available or not.','Technology/resource[&Technology2/resource2]....'),(12,'Congestion','this application allows you to indicate a congestion mode.','timeout'),(13,'ControlPlayback','','filename[|skip[|fforwardkey[|rewindkey[|stopkey[|pausekey]]]]]'),(14,'Cut','this application allows you to split the content of a variable by using a specified delimiter.','newvar=varname,delimiter,fieldspec'),(15,'DBdel','this application allows you to remove a key from the Asterisk’s database.','family/key'),(16,'DBdeltree','this application allows you to remove a whole key tree from the Asterisk’s database.','family[/keytree]'),(17,'DBget','this application allows you to retrieve a value from the Asterisk’s database.','varname=family/key'),(18,'DBput','this application allows you to store a value in the Asterisk’s database.','family/key=value'),(19,'Directory','this application allows you to browse a list of extensions and to select one of them','vm-context[|dial-context[|options]]'),(20,'Dial','this application allows you to place a call on a channel','Technology/resource[|timeout][|options][|URL]'),(21,'DigitTimeout','this application allows you to limit the time interval between digits when the user is typing an extension.','delay'),(22,'DISA','this application allows you to make calls from outside the PBX as if you are inside it.','no-password OR 1111|test OR /tmp/passwords/pass.txt'),(23,'Echo','',''),(24,'GoTo','this application allows you to jump to another extension, another context or another priority.','[[context|]extension|]priority'),(25,'GoToIf','this application allows you to jump to another priority if some condition is true or false.','condition?label1:label2'),(26,'GoToIfTime','this application allows you to jump to another extension, context or priority if the current time matches the specified one.','<times>|<weekdays>|<mdays>|<months>?[[context|]extension|]priority'),(27,'Hangup','this application allows you to hang up the line.',''),(28,'HasNewVoicemail','this application allows you to go to your mailbox if you have a new message there.','vmbox[@vm-context][|variable]'),(29,'HasVoicemail','this application is an improved version of the HasNewVoicemail application.','vmbox[@vm-context][:folder][|variable]'),(30,'LookupBlacklist','this application allows you to check a number in the blacklist database.',''),(31,'LookupCIDName','this application allows you to set a Caller ID according to the number of the incoming call.',''),(32,'Macro','this application allows you to execute a macro, which has been defined beforehand.','macroname|arg1|arg2'),(33,'MacroIf','this application allows you to execute a macro, if a specified condition is true or false.','condition?macro_a[|arg1][:macro_b[|arg1]]'),(34,'MacroExit','this application allows you to exit from a macro, without waiting it to execute all its extensions.',''),(35,'MailboxExists','this application allows you to check whether certain mailbox exists or not.','mailbox[@context]'),(36,'MeetMe','this application allows you to create conference','[confno][,[options][,pin]]'),(37,'MeetMeCount','this application gives you information how many participant there are in a conference','<confno>[|<var>]'),(38,'Milliwatt','this application allows you to generate a constant tone.',''),(39,'Monitor','this application allows you to record a conversation.','[file_format|[fname_base]|[options]]'),(40,'MP3Player','this application allows you to play a mp3 file.','pathfilename.mp3'),(41,'MusicOnHold','this application allows you to play music on hold.','class'),(42,'NoOp','this application allows you to do nothing – No Operation.',''),(43,'Park','this application allows you to park yourself.',''),(44,'ParkedCall','this application allows you to answer a parked call.','exten'),(45,'PauseQueueMember','this application allows you to stop, temporary, the answering of calls in the queue, from a specific member.','queuename[|member]'),(46,'Playback','this application allows you to play a sound file.','filename[|option]'),(47,'Playtones','this application allows you to play a list of tones.','type of tone'),(48,'Prefix','this application allows you to set digits which to be added to the digits from the extension.','digits'),(49,'Queue','this application allows you to queue a call, in a call queue.','queuename[|options[|URL][|announceoverride][|timeout]]'),(50,'Random','this application allows you to jump to another extension, another context or another priority based on a probability from 1 to 100.','[probability]:[[context|]extension|]priority'),(51,'Read','this application allows you to read a variable.','variable[|filename][|maxdigits][|option][|attempts][|timeout]'),(52,'ReadFile','this application allows you to read a characters from a file.','varname=file,length'),(53,'Record','this application allows you to record a voice.','filename:format|silence[|maxduration][|option]'),(54,'RemoveQueueMember','this application allows you to remove dynamically queue members.','queuename[|member]'),(55,'ResponseTimeout','this application allows you to limit the maximum time for waiting a response.','delay'),(56,'Ringing','this application allows you to indicate a ringing tone.',''),(57,'SayAlpha','','string'),(58,'SayDigits','','number'),(59,'SayNumber','','number'),(60,'SayPhonetic','','string'),(61,'SayUnixTime','','[unixtime][|[timezone][|format]]'),(62,'SendDTMF','this application sends DTMF digits on a channel.','digits[|timeout_ms]'),(63,'SendImage','this application allows you to send an image file to the caller.','filename'),(64,'SendText','this application allows you to send a text to the caller.','text'),(65,'SendURL','this application allows you to send a hyperlink to a PBX user','URL[|wait]'),(66,'Set','this application allows you to set a value to a variable.','name1=value1|name2=value2|..[|options]'),(67,'SetCallerID','','clid'),(68,'SetCIDName','','cname'),(69,'SetCIDNum','','cnum'),(70,'SetGlobalVar','this application allows you to change the global variables in the extension.conf file.','variable=value'),(71,'SetLanguage','this application allows you to change the used language.','language en, de ...'),(72,'SetMusicOnHold','this application allows you to change the default class for the music on hold.','class'),(73,'StopMonitor','this application allows you to stop the action of the Monitor application.',''),(74,'StopPlaytones','this application allows you to stop the playing of a tone or list of tones.',''),(75,'StripLSD','this application allows you to set digits which to be stripped from the extension number.','count'),(76,'StripMSD','this application allows you to set digits, which to be stripped from the extension number.','count'),(77,'SubString','this application allows you to save sub - stringed digits in a given variable.','use: Set(NewVar=${variable:digit1:digit2})'),(78,'Suffix','this application allows you to set digits which to be added to the extension number.','digits'),(79,'System','this application allows you to execute a system command with making a phone call.','command'),(80,'Transfer','this application allows you to transfer calls.','[TECH/]destination'),(81,'TrySystem','this application allows you to execute a system command by using System application.','command'),(82,'UnpauseQueueMember','this application allows you to cancel the effect of the PauseQueueMember application.','queuename[|member]'),(83,'VoiceMail','this application allows you to leave a voicemail message.','[options]vm-extension1[@vm-context1][&vm-extension2][@vm-context2][...]'),(84,'VoiceMailMain','this application allows you to enter in the Asterisk’s voicemail system.','[[options]mailbox][@vm-context]'),(85,'Wait','this application allows you to set a period of time to be waited, before something else to be executed','seconds'),(86,'WaitExten','this application gives you an extra time for entering an extension.','[seconds][|options]'),(87,'WaitMusicOnHold','this application plays music during the time for waiting.','delay'),(88,'Zapateller','this application allows you to generate a special information tone(SIT), which is used to block telemarketers.','answer | nocallerid'),(89,'Agi','Executes an AGI compliant application','scriptname, arg1,arg2,argN'),(90,'Pickup','Rufübernahme','extension@context'),(92,'Devstate','Generate a device state change event given the input parameters','device|state'),(93,'SIPAddHeader','',''),(94,'DPickup','',''),(95,'PickupChan','',''),(96,'DeadAGI','',''),(97,'Pickup2','',''),(98,'MYSQL','','');
/*!40000 ALTER TABLE `voip_ext_funcs` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-06-11 15:54:46
