-- MySQL dump 10.11
--
-- Host: localhost    Database: zphone
-- ------------------------------------------------------
-- Server version	5.0.32-Debian_7etch10-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `sys_cluster`
--

DROP TABLE IF EXISTS `sys_cluster`;
CREATE TABLE `sys_cluster` (
  `sc_id` tinyint(3) unsigned NOT NULL auto_increment,
  `sc_status` char(1) NOT NULL default '',
  `sc_type` char(1) NOT NULL default '0',
  `sc_slaves` varchar(255) NOT NULL default '',
  `sc_ext_interfaces` varchar(5) NOT NULL default '',
  `sc_int_interfaces` varchar(5) NOT NULL default '',
  `sc_serv_dns` tinyint(1) default NULL,
  `sc_serv_dhcp` tinyint(1) default NULL,
  `sc_serv_smtp` tinyint(1) default NULL,
  `sc_serv_pop` tinyint(1) default NULL,
  `sc_serv_pop_ssl` tinyint(1) default NULL,
  `sc_serv_imap` tinyint(1) default NULL,
  `sc_serv_imap_ssl` tinyint(1) default NULL,
  `sc_serv_fax` tinyint(1) default NULL,
  `sc_serv_squid` tinyint(1) default NULL,
  `sc_serv_vpn` tinyint(1) NOT NULL default '0',
  `sc_authkey` varchar(255) default NULL,
  `sc_cluster_node1_name` varchar(128) default NULL,
  `sc_cluster_node2_name` varchar(128) default NULL,
  `sc_cluster_node1_dev` varchar(5) default NULL,
  `sc_cluster_node1_ip` varchar(15) default NULL,
  `sc_cluster_node2_dev` varchar(5) default NULL,
  `sc_cluster_node2_ip` varchar(15) default NULL,
  `sc_cluster_ip` varchar(15) default NULL,
  `sc_use_ha` char(1) default NULL,
  `sc_mysql_ha` char(1) default NULL,
  `sc_haresources` varchar(255) default NULL,
  `sc_dhcp_ha` char(1) default NULL,
  PRIMARY KEY  (`sc_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-06-11 15:54:45
