[net]
download_bw=1024
upload_bw=1024
firewall_policy=0
mtu=1200

[rtp]
audio_rtp_port=<%a_rtp_port%>
video_rtp_port=<%v_rtp_port%>
audio_jitt_comp=60
video_jitt_comp=60
nortp_timeout=30

[sound]
remote_ring=/usr/local/share/sounds/linphone/ringback.wav
ringer_dev_id=ALSA: Dummy
playback_dev_id=ALSA: Dummy
capture_dev_id=ALSA: Dummy
mute=1

[video]
enabled=1
size=cif
display=0
capture=1
show_local=0
self_view=0
device=HTTP: <%vv_http_cam%>

[audio_codec_0]
mime=speex
rate=32000
enabled=0

[audio_codec_1]
mime=speex
rate=16000
enabled=0

[audio_codec_2]
mime=speex
rate=8000
enabled=0

[audio_codec_3]
mime=PCMU
rate=8000
enabled=1

[audio_codec_4]
mime=PCMA
rate=8000
enabled=0

[video_codec_0]
mime=MP4V-ES
rate=90000
enabled=0
recv_fmtp=profile-level-id=3

[video_codec_1]
mime=theora
rate=90000
enabled=0

[video_codec_2]
mime=H263-1998
rate=90000
enabled=0
recv_fmtp=CIF=1;QCIF=1

[video_codec_3]
mime=H263
rate=90000
enabled=1

[sip]
sip_port=<%sip_port%>
sip_tcp_port=0
guess_hostname=1
contact=sip:<%sip_user%>@localhost
inc_timeout=15
use_info=0
use_rfc2833=0
use_ipv6=0
register_only_when_network_is_up=1
default_proxy=0

[video_codec_4]
mime=x-snow
rate=90000
enabled=0

[audio_codec_5]
mime=G722
rate=8000
enabled=0

[auth_info_0]
username=<%sip_user%>
userid=<%sip_user%>
passwd=<%sip_pass%>

[proxy_0]
reg_proxy=sip:127.0.0.1
reg_identity=sip:<%sip_user%>@127.0.0.1
reg_expires=3600
reg_sendregister=1
publish=1
dial_escape_plus=0
